/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DatosCosultoresCompletos;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.ArrayList;
import java.util.List;

/**
 * @author obper
 */
@Stateless
public class DatosCosultoresCompletosFacade extends AbstractFacade<DatosCosultoresCompletos> implements DatosCosultoresCompletosFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public DatosCosultoresCompletosFacade() {
        super(DatosCosultoresCompletos.class);
    }

    @Override
    public DatosCosultoresCompletos busquedaDato(String consultorCodigo) {

        List<DatosCosultoresCompletos> out = new ArrayList<>();
        Query q = em.createNativeQuery("CALL datos_completos_consultor(?)", DatosCosultoresCompletos.class);
        q.setParameter(1, consultorCodigo);
        out.addAll(q.getResultList());

        return out.get(0);
    }




    @Override
    public DatosCosultoresCompletos busquedaDatoAbono(String consultorCodigo) {

        List<DatosCosultoresCompletos> out = new ArrayList<>();
        Query q = em.createNativeQuery("CALL datos_completos_consultor_abonos(?)", DatosCosultoresCompletos.class);
        q.setParameter(1, consultorCodigo);
        out.addAll(q.getResultList());

        if (q.getResultList().isEmpty()){
            return new DatosCosultoresCompletos();
        }else{
            return out.get(0);
        }


    }

}
